RowIndexEntry (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class RowIndexEntry<T>

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry<T>

- All Implemented Interfaces:
    IMeasurableMemory

      public class RowIndexEntry<T>
      extends java.lang.Object
      implements IMeasurableMemory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RowIndexEntry.IndexSerializer<T>`
    `static class` | `RowIndexEntry.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIndexEntry(long position)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<T>` | `columnsIndex()`
    `static RowIndexEntry<IndexHelper.IndexInfo>` | `create(long position, DeletionTime deletionTime, ColumnIndex index)`
    `DeletionTime` | `deletionTime()`
    `long` | `headerOffset()`
    `boolean` | `isIndexed()`
    `int` | `promotedSize(ISerializer<T> idxSerializer)`
    `long` | `unsharedHeapSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### position

          public final long position

  - ### Constructor Detail

    - #### RowIndexEntry

          public RowIndexEntry(long position)

  - ### Method Detail

    - #### promotedSize

          public int promotedSize(ISerializer<T> idxSerializer)

    - #### create

          public static RowIndexEntry<IndexHelper.IndexInfo> create(long position,
                                                                    DeletionTime deletionTime,
                                                                    ColumnIndex index)

    - #### isIndexed

          public boolean isIndexed()

      Returns:
        true if this index entry contains the row-level tombstone and column summary. Otherwise, caller should fetch these from the row header.

    - #### deletionTime

          public DeletionTime deletionTime()

    - #### headerOffset

          public long headerOffset()

      Returns:
        the offset to the start of the header information for this row. For some formats this may not be the start of the row.

    - #### columnsIndex

          public java.util.List<T> columnsIndex()

    - #### unsharedHeapSize

          public long unsharedHeapSize()

      Specified by:
        `unsharedHeapSize` in interface `IMeasurableMemory`
      Returns:
        the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

Copyright © 2018 The Apache Software Foundation